/**
 * When visualizeMatrix of the HTMLVisualizer is called, this function has the
 * purpose to set which AlignmentPath is displayed.
 */

function setAlignmentCell(cell) {
	// get the id
	var id = cell.id;
	// set the corresponding src in the frame.
	var frame = document.getElementById('alignFrame');
	// ensure that column visibility is reset on frame loading
	frame.onload = function () {
		resetColumnVisibility();
	};
	// then set the source.
	frame.src = "alignments/" + id + ".html";
}

function resetColumnVisibility() {
	var selector = "input.tglCol";
	var checkboxes = document.querySelectorAll(selector);
	for (var i = 0; i < checkboxes.length; i++) {
		if (!checkboxes[i].checked) {
			toggleColumn(checkboxes[i]);
		}
	}
}